<template>
	<el-breadcrumb class="app-breadcrumb" separator="＞">
		<el-breadcrumb-item v-for="(item,index) in levelList" :key="index">
			{{ item.meta.title }}
		</el-breadcrumb-item>
	</el-breadcrumb>
</template>

<script>
export default {
	data() {
		return {
			levelList: null
		}
	},
	watch: {
		$route() {
			this.getBreadcrumb()
		}
	},
	created() {
		this.getBreadcrumb()
	},
	methods: {
		getBreadcrumb() {
			let matched = this.$route.matched.filter(item => item.meta && item.meta.title)

			this.levelList = matched.filter(item => item.meta && item.meta.title && item.meta.breadcrumb !== false)
		},
	}
}
</script>

<style scoped>
</style>
